-- functionsMenu.lua
-- Written By Habna


--**v Functions for the menu v**
--**v Unload TitanBar v**
function UnloadTitanBar()
	--write( "TitanBar: Unloaded" );
	Turbine.PluginManager.LoadPlugin( 'TitanBar Unloader' );
	--Turbine.PluginManager.UnloadScriptState( 'TitanBar' );
end
--**^
--**v Reload TitanBar v**
function ReloadTitanBar()
	--write( "TitanBar: Reloaded" );
	Turbine.PluginManager.LoadPlugin( 'TitanBar Reloader' );
	--UnloadTitanBar();
	--Turbine.PluginManager.LoadPlugin( 'TitanBar' );
end
--**^
-- **v Show/Hide Money v**
function ShowHideMoney()
	ShowMoney = not ShowMoney;
	SaveSettings();
	if ShowMoney then
		--write( "TitanBar: Showing money");
		ImportCtr( "MI" );
		MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) );
		MI["Ctr"]:SetPosition( _G.MILocX, 0 );
	else
		--write( "TitanBar: Hiding money");
		RemoveCallback(PlayerAtt, "MoneyChanged", TB["win"].moneyChangedHandler);
	end
	MI["Ctr"]:SetVisible( ShowMoney );
	CurItem[1]:SetChecked( ShowMoney );
end
-- **^
-- **v Show/Hide Destiny Points v**
function ShowHideDestinyPoints()
	ShowDestinyPoints = not ShowDestinyPoints;
	SaveSettings();
	if ShowDestinyPoints then
		--write( "TitanBar: Showing Destiny Points");
		ImportCtr( "DP" );
		DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) );
		DP["Ctr"]:SetPosition( _G.DPLocX, 0 );
	else
		--write( "TitanBar: Hiding Destiny Points");
		RemoveCallback(PlayerAtt, "DestinyPointsChanged", TB["win"].dpChangedHandler);
	end
	DP["Ctr"]:SetVisible( ShowDestinyPoints );
	CurItem[2]:SetChecked( ShowDestinyPoints );
end
-- **^
-- **v Show/Hide Shards v**
function ShowHideShards()
	ShowShards = not ShowShards;
	SaveSettings();
	if ShowShards then
		--write( "TitanBar: Showing Shards");
		ImportCtr( "SP" );
		SP["Ctr"]:SetBackColor( Turbine.UI.Color( SPbcAlpha, SPbcRed, SPbcGreen, SPbcBlue ) );
		SP["Ctr"]:SetPosition( _G.SPLocX, 0 );
	else
		--write( "TitanBar: Hiding Shards");
		RemoveCallback(PlayerShard, "QuantityChanged", TB["win"].spChangedHandler);
	end
	SP["Ctr"]:SetVisible( ShowShards );
	CurItem[3]:SetChecked( ShowShards );
end
-- **^
-- **v Show/Hide Skirmish marks v**
function ShowHideSkirmishMarks()
	ShowSkirmishMarks = not ShowSkirmishMarks;
	SaveSettings();
	if ShowSkirmishMarks then
		--write( "TitanBar: Showing Skirmish marks");
		ImportCtr( "SM" );
		SM["Ctr"]:SetBackColor( Turbine.UI.Color( SMbcAlpha, SMbcRed, SMbcGreen, SMbcBlue ) );
		SM["Ctr"]:SetPosition( _G.SMLocX, 0 );
	else
		--write( "TitanBar: Hiding Shards");
		RemoveCallback(PlayerMark, "QuantityChanged", TB["win"].smChangedHandler);
	end
	SM["Ctr"]:SetVisible( ShowSkirmishMarks );
	CurItem[4]:SetChecked( ShowSkirmishMarks );
end
-- **^
-- **v Show/Hide Backpack Infos v**
function ShowHideBackpackInfos()
	ShowBagInfos = not ShowBagInfos;
	SaveSettings();
	if ShowBagInfos then
		--write( "TitanBar: Showing backpack infos");
		ImportCtr( "BI" );
		BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) );
		BI["Ctr"]:SetPosition( _G.BILocX, 0 );
	else
		--write( "TitanBar: Hiding backpack infos");
		RemoveCallback(Backpack, "ItemAdded", TB["win"].iaHandler);
		RemoveCallback(Backpack, "ItemRemoved", TB["win"].irHandler);
	end
	BI["Ctr"]:SetVisible( ShowBagInfos );
	opt_BI:SetChecked( ShowBagInfos );
end
--**^
-- **v Show/Hide Backpack Infos v**
function ShowHidePlayerInfos()
	ShowPlayerInfos = not ShowPlayerInfos;
	SaveSettings();
	if ShowPlayerInfos then
		--write( "TitanBar: Showing player infos");
		ImportCtr( "PI" );
		PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) );
		PI["Ctr"]:SetPosition( _G.PILocX, 0 );
	else
		--write( "TitanBar: Hiding player infos");
		RemoveCallback(Player, "LevelChanged", TB["win"].levelChangedHandler);
		RemoveCallback(Player, "NameChanged", TB["win"].nameChangedHandler);
	end
	PI["Ctr"]:SetVisible( ShowPlayerInfos );
	opt_PI:SetChecked( ShowPlayerInfos );
end
--**^
-- **v Show/Hide equipment Infos v**
function ShowHideEquipInfos()
	ShowEquipInfos = not ShowEquipInfos;
	SaveSettings();
	if ShowEquipInfos then
		--write( "TitanBar: Showing equipment infos");
		GetEquipmentInfos();
		ImportCtr( "EI" );
		EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) );
		EI["Ctr"]:SetPosition( _G.EILocX, 0 );
	else
		--write( "TitanBar: Hiding equipment infos");
		RemoveCallback(PlayerEquipment, "ItemEquipped", TB["win"].ieHandler);
		RemoveCallback(PlayerEquipment, "ItemUnequipped", TB["win"].iueHandler);
	end
	EI["Ctr"]:SetVisible( ShowEquipInfos );
	opt_EI:SetChecked( ShowEquipInfos );
end
--**^
-- **v Show/Hide durability Infos v**
function ShowHideDurabilityInfos()
	ShowDurabilityInfos = not ShowDurabilityInfos;
	SaveSettings();
	if ShowDurabilityInfos then
		--write( "TitanBar: Showing durability infos");
		GetEquipmentInfos();
		ImportCtr( "DI" );
		DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) );
		DI["Ctr"]:SetPosition( _G.DILocX, 0 );
	else
		--write( "TitanBar: Hiding durability infos");
		
	end
	DI["Ctr"]:SetVisible( ShowDurabilityInfos );
	opt_DI:SetChecked( ShowDurabilityInfos );
end
--**^


-- **v Show/Hide Player Location v**
function ShowHidePlayerLoc()
	ShowPlayerLoc = not ShowPlayerLoc;
	SaveSettings();
	if ShowPlayerLoc then
		ImportCtr( "PL" );
		PL["Ctr"]:SetBackColor( Turbine.UI.Color( PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue ) );
		PL["Ctr"]:SetPosition( _G.PLLocX, 0 );
	else
		--write( "TitanBar: Hiding player location");
		RemoveCallback(Turbine.Chat, "Received", TB["win"].ChatReceivedHandler);
	end
	PL["Ctr"]:SetVisible( ShowPlayerLoc );
	opt_PL:SetChecked( ShowPlayerLoc );
end
--**^
-- **v Show/Hide Time v**
function ShowHideGameTime()
	ShowGameTime = not ShowGameTime;
	SaveSettings();
	if ShowGameTime then
		--write( "TitanBar: Showing time");
		ImportCtr( "GT" );
		GT["Ctr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) );
		GT["Ctr"]:SetPosition( _G.GTLocX, 0 );
	else
		--write( "TitanBar: Hiding time");
		
	end
	GT["Ctr"]:SetVisible( ShowGameTime );
	opt_GT:SetChecked( ShowGameTime );
end
--**^