-- settings.lua
-- Written by Habna


-- **v Load / update / set default settings v**
function LoadSettings()
	if GLocale == "de" then settings = Turbine.PluginData.Load( Turbine.DataScope.Character, "TitanBarSettingsDE" ); end
	if GLocale == "en" then settings = Turbine.PluginData.Load( Turbine.DataScope.Character, "TitanBarSettingsEN" ); end
	if GLocale == "fr" then settings = Turbine.PluginData.Load( Turbine.DataScope.Character, "TitanBarSettingsFR" ); end
	
	if settings == nil then
		TBLocale = GLocale;
		if GLocale == "en" then tA, tR, tG, tB, tX = 0.3, 0.3, 0.3, 0.3, 0;
		else tA, tR, tG, tB,tX = "0,3", "0,3", "0,3", "0,3", "0"; end

		bcAlpha, bcRed, bcGreen, bcBlue = tA, tR, tG, tB; --Backcolor for TitanBar
		MbcAlpha, MbcRed, MbcGreen, MbcBlue, _G.MILocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Money Control
		DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue, _G.DPLocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Destiny points Control
		SPbcAlpha, SPbcRed, SPbcGreen, SPbcBlue, _G.SPLocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Shards Control
		SMbcAlpha, SMbcRed, SMbcGreen, SMbcBlue, _G.SMLocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Skirmish marks Control
		BbcAlpha, BbcRed, BbcGreen, BbcBlue, _G.BILocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Bag Control
		EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue, _G.EILocX = tA, tR, tG, tB, 69; --Backcolor & default X Location for Equipement infos Control
		DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue, _G.DILocX = tA, tR, tG, tB, 138; --Backcolor & default X Location for Durability infos Control
		PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue, _G.PILocX = tA, tR, tG, tB, 207; --Backcolor & default X Location for Player infos Control

		GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue, _G.GTLocX = 0.3, 0.3, 0.3, 0.3, screenWidth - 45; --Backcolor & default X Location for Game time Control
		PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue, _G.PLLocX = 0.3, 0.3, 0.3, 0.3, screenWidth - 190; --Backcolor & default X Location for Player Location Control

		ShowMoney, ShowDestinyPoints, ShowShards, ShowSkirmishMarks, ShowBagInfos, ShowPlayerInfos, ShowEquipInfos, ShowDurabilityInfos,
		ShowPlayerLoc, ShowGameTime = false, false, false, false, true, true, true, true, true, true;
		_G.STM = false;
		_G.Clock24h = true;

		SaveSettings();
	end

	TBLocale = settings.Language;
	--write(tostring(AppLocaleD..TBLocale));
	import (AppLocaleD..TBLocale);

	if settings.BackColor == nil then settings.BackColor = {}; end
	if settings.BackColor.A == nil then settings.BackColor.A = string.format("%.3f", 0.3); end
	if settings.BackColor.R == nil then settings.BackColor.R = string.format("%.3f", 0.3); end
	if settings.BackColor.G == nil then settings.BackColor.G = string.format("%.3f", 0.3); end
	if settings.BackColor.B == nil then settings.BackColor.B = string.format("%.3f", 0.3); end
	bcAlpha = tonumber(settings.BackColor.A);
	bcRed = tonumber(settings.BackColor.R);
	bcGreen = tonumber(settings.BackColor.G);
	bcBlue = tonumber(settings.BackColor.B);

	if settings.Show == nil then settings.Show = {}; end

	if settings.Show.Money == nil then settings.Show.Money = {}; end
	if settings.Show.Money.V == nil then settings.Show.Money.V = false; end
	if settings.Show.Money.A == nil then settings.Show.Money.A = string.format("%.3f", 0.3); end
	if settings.Show.Money.R == nil then settings.Show.Money.R = string.format("%.3f", 0.3); end
	if settings.Show.Money.G == nil then settings.Show.Money.G = string.format("%.3f", 0.3); end
	if settings.Show.Money.B == nil then settings.Show.Money.B = string.format("%.3f", 0.3); end
	if settings.Show.Money.X == nil then settings.Show.Money.X = string.format("%.0f", 0); end --Default Location on TitanBar
	if settings.Show.Money.S == nil then settings.Show.Money.S = false; end --Show Total Money of all character on TitanBar Money control.
	ShowMoney = settings.Show.Money.V;
	MbcAlpha = tonumber(settings.Show.Money.A);
	MbcRed = tonumber(settings.Show.Money.R);
	MbcGreen = tonumber(settings.Show.Money.G);
	MbcBlue = tonumber(settings.Show.Money.B);
	_G.MILocX = tonumber(settings.Show.Money.X);
	_G.STM = settings.Show.Money.S;

	if settings.Show.DestinyPoints == nil then settings.Show.DestinyPoints = {}; end
	if settings.Show.DestinyPoints.V == nil then settings.Show.DestinyPoints.V = false; end
	if settings.Show.DestinyPoints.A == nil then settings.Show.DestinyPoints.A = string.format("%.3f", 0.3); end
	if settings.Show.DestinyPoints.R == nil then settings.Show.DestinyPoints.R = string.format("%.3f", 0.3); end
	if settings.Show.DestinyPoints.G == nil then settings.Show.DestinyPoints.G = string.format("%.3f", 0.3); end
	if settings.Show.DestinyPoints.B == nil then settings.Show.DestinyPoints.B = string.format("%.3f", 0.3); end
	if settings.Show.DestinyPoints.X == nil then settings.Show.DestinyPoints.X = string.format("%.0f", 0); end --Default Location on TitanBar
	ShowDestinyPoints = settings.Show.DestinyPoints.V;
	DPbcAlpha = tonumber(settings.Show.DestinyPoints.A);
	DPbcRed = tonumber(settings.Show.DestinyPoints.R);
	DPbcGreen = tonumber(settings.Show.DestinyPoints.G);
	DPbcBlue = tonumber(settings.Show.DestinyPoints.B);
	_G.DPLocX = tonumber(settings.Show.DestinyPoints.X);

	if settings.Show.Shards == nil then settings.Show.Shards = {}; end
	if settings.Show.Shards.V == nil then settings.Show.Shards.V = false; end
	if settings.Show.Shards.A == nil then settings.Show.Shards.A = string.format("%.3f", 0.3); end
	if settings.Show.Shards.R == nil then settings.Show.Shards.R = string.format("%.3f", 0.3); end
	if settings.Show.Shards.G == nil then settings.Show.Shards.G = string.format("%.3f", 0.3); end
	if settings.Show.Shards.B == nil then settings.Show.Shards.B = string.format("%.3f", 0.3); end
	if settings.Show.Shards.X == nil then settings.Show.Shards.X = string.format("%.0f", 0); end --Default Location on TitanBar
	ShowShards = settings.Show.Shards.V;
	SPbcAlpha = tonumber(settings.Show.Shards.A);
	SPbcRed = tonumber(settings.Show.Shards.R);
	SPbcGreen = tonumber(settings.Show.Shards.G);
	SPbcBlue = tonumber(settings.Show.Shards.B);
	_G.SPLocX = tonumber(settings.Show.Shards.X);

	if settings.Show.SkirmishMarks == nil then settings.Show.SkirmishMarks = {}; end
	if settings.Show.SkirmishMarks.V == nil then settings.Show.SkirmishMarks.V = false; end
	if settings.Show.SkirmishMarks.A == nil then settings.Show.SkirmishMarks.A = string.format("%.3f", 0.3); end
	if settings.Show.SkirmishMarks.R == nil then settings.Show.SkirmishMarks.R = string.format("%.3f", 0.3); end
	if settings.Show.SkirmishMarks.G == nil then settings.Show.SkirmishMarks.G = string.format("%.3f", 0.3); end
	if settings.Show.SkirmishMarks.B == nil then settings.Show.SkirmishMarks.B = string.format("%.3f", 0.3); end
	if settings.Show.SkirmishMarks.X == nil then settings.Show.SkirmishMarks.X = string.format("%.0f", 0); end --Default Location on TitanBar
	ShowSkirmishMarks = settings.Show.SkirmishMarks.V;
	SMbcAlpha = tonumber(settings.Show.SkirmishMarks.A);
	SMbcRed = tonumber(settings.Show.SkirmishMarks.R);
	SMbcGreen = tonumber(settings.Show.SkirmishMarks.G);
	SMbcBlue = tonumber(settings.Show.SkirmishMarks.B);
	_G.SMLocX = tonumber(settings.Show.SkirmishMarks.X);

	if settings.Show.BagInfos == nil then settings.Show.BagInfos = {}; end
	if settings.Show.BagInfos.V == nil then settings.Show.BagInfos.V = true; end
	if settings.Show.BagInfos.A == nil then settings.Show.BagInfos.A = string.format("%.3f", 0.3); end
	if settings.Show.BagInfos.R == nil then settings.Show.BagInfos.R = string.format("%.3f", 0.3); end
	if settings.Show.BagInfos.G == nil then settings.Show.BagInfos.G = string.format("%.3f", 0.3); end
	if settings.Show.BagInfos.B == nil then settings.Show.BagInfos.B = string.format("%.3f", 0.3); end
	if settings.Show.BagInfos.X == nil then	settings.Show.BagInfos.X = string.format("%.0f", 0); end --Default Location on TitanBar
	ShowBagInfos = settings.Show.BagInfos.V;
	BbcAlpha = tonumber(settings.Show.BagInfos.A);
	BbcRed = tonumber(settings.Show.BagInfos.R);
	BbcGreen = tonumber(settings.Show.BagInfos.G);
	BbcBlue = tonumber(settings.Show.BagInfos.B);
	_G.BILocX = tonumber(settings.Show.BagInfos.X);

	if settings.Show.PlayerInfos == nil then settings.Show.PlayerInfos = {}; end
	if settings.Show.PlayerInfos.V == nil then settings.Show.PlayerInfos.V = true; end
	if settings.Show.PlayerInfos.A == nil then settings.Show.PlayerInfos.A = string.format("%.3f", 0.3); end
	if settings.Show.PlayerInfos.R == nil then settings.Show.PlayerInfos.R = string.format("%.3f", 0.3); end
	if settings.Show.PlayerInfos.G == nil then settings.Show.PlayerInfos.G = string.format("%.3f", 0.3); end
	if settings.Show.PlayerInfos.B == nil then settings.Show.PlayerInfos.B = string.format("%.3f", 0.3); end
	if settings.Show.PlayerInfos.X == nil then	settings.Show.PlayerInfos.X = string.format("%.0f", 207); end --Default Location on TitanBar
	ShowPlayerInfos = settings.Show.PlayerInfos.V;
	PIbcAlpha = tonumber(settings.Show.PlayerInfos.A);
	PIbcRed = tonumber(settings.Show.PlayerInfos.R);
	PIbcGreen = tonumber(settings.Show.PlayerInfos.G);
	PIbcBlue = tonumber(settings.Show.PlayerInfos.B);
	_G.PILocX = tonumber(settings.Show.PlayerInfos.X);

	if settings.Show.EquipInfos == nil then	settings.Show.EquipInfos = {}; end
	if settings.Show.EquipInfos.V == nil then	settings.Show.EquipInfos.V = true; end
	if settings.Show.EquipInfos.A == nil then	settings.Show.EquipInfos.A = string.format("%.3f", 0.3); end
	if settings.Show.EquipInfos.R == nil then	settings.Show.EquipInfos.R = string.format("%.3f", 0.3); end
	if settings.Show.EquipInfos.G == nil then	settings.Show.EquipInfos.G = string.format("%.3f", 0.3); end
	if settings.Show.EquipInfos.B == nil then	settings.Show.EquipInfos.B = string.format("%.3f", 0.3); end
	if settings.Show.EquipInfos.X == nil then	settings.Show.EquipInfos.X = string.format("%.0f", 69); end --Default Location on TitanBar
	ShowEquipInfos = settings.Show.EquipInfos.V;
	EIbcAlpha = tonumber(settings.Show.EquipInfos.A);
	EIbcRed = tonumber(settings.Show.EquipInfos.R);
	EIbcGreen = tonumber(settings.Show.EquipInfos.G);
	EIbcBlue = tonumber(settings.Show.EquipInfos.B);
	_G.EILocX = tonumber(settings.Show.EquipInfos.X);

	if settings.Show.DurabilityInfos == nil then settings.Show.DurabilityInfos = {}; end
	if settings.Show.DurabilityInfos.V == nil then settings.Show.DurabilityInfos.V = true; end
	if settings.Show.DurabilityInfos.A == nil then settings.Show.DurabilityInfos.A = string.format("%.3f", 0.3); end
	if settings.Show.DurabilityInfos.R == nil then settings.Show.DurabilityInfos.R = string.format("%.3f", 0.3); end
	if settings.Show.DurabilityInfos.G == nil then settings.Show.DurabilityInfos.G = string.format("%.3f", 0.3); end
	if settings.Show.DurabilityInfos.B == nil then settings.Show.DurabilityInfos.B = string.format("%.3f", 0.3); end
	if settings.Show.DurabilityInfos.X == nil then settings.Show.DurabilityInfos.X = string.format("%.0f", 138); end --Default Location on TitanBar
	ShowDurabilityInfos = settings.Show.DurabilityInfos.V;
	DIbcAlpha = tonumber(settings.Show.DurabilityInfos.A);
	DIbcRed = tonumber(settings.Show.DurabilityInfos.R);
	DIbcGreen = tonumber(settings.Show.DurabilityInfos.G);
	DIbcBlue = tonumber(settings.Show.DurabilityInfos.B);
	_G.DILocX = tonumber(settings.Show.DurabilityInfos.X);

	if settings.Show.PlayerLoc == nil then settings.Show.PlayerLoc = {}; end
	if settings.Show.PlayerLoc.V == nil then settings.Show.PlayerLoc.V = true; end
	if settings.Show.PlayerLoc.A == nil then settings.Show.PlayerLoc.A = string.format("%.3f", 0.3); end
	if settings.Show.PlayerLoc.R == nil then settings.Show.PlayerLoc.R = string.format("%.3f", 0.3); end
	if settings.Show.PlayerLoc.G == nil then settings.Show.PlayerLoc.G = string.format("%.3f", 0.3); end
	if settings.Show.PlayerLoc.B == nil then settings.Show.PlayerLoc.B = string.format("%.3f", 0.3); end
	if settings.Show.PlayerLoc.X == nil then settings.Show.PlayerLoc.X = string.format("%.0f", screenWidth - 190); end --Default Location on TitanBar
	ShowPlayerLoc = settings.Show.PlayerLoc.V;
	PLbcAlpha = tonumber(settings.Show.PlayerLoc.A);
	PLbcRed = tonumber(settings.Show.PlayerLoc.R);
	PLbcGreen = tonumber(settings.Show.PlayerLoc.G);
	PLbcBlue = tonumber(settings.Show.PlayerLoc.B);
	_G.PLLocX = tonumber(settings.Show.PlayerLoc.X);

	if settings.Show.GameTime == nil then settings.Show.GameTime = {}; end
	if settings.Show.GameTime.V == nil then settings.Show.GameTime.V = true; end
	if settings.Show.GameTime.A == nil then settings.Show.GameTime.A = string.format("%.3f", 0.3); end
	if settings.Show.GameTime.R == nil then settings.Show.GameTime.R = string.format("%.3f", 0.3); end
	if settings.Show.GameTime.G == nil then settings.Show.GameTime.G = string.format("%.3f", 0.3); end
	if settings.Show.GameTime.B == nil then settings.Show.GameTime.B = string.format("%.3f", 0.3); end
	if settings.Show.GameTime.H == nil then settings.Show.GameTime.H = true; end -- True = Show clock in 24h format
	if settings.Show.GameTime.X == nil then settings.Show.GameTime.X = string.format("%.0f", screenWidth - 45); end --Default Location on TitanBar
	ShowGameTime = settings.Show.GameTime.V;
	GTbcAlpha = tonumber(settings.Show.GameTime.A);
	GTbcRed = tonumber(settings.Show.GameTime.R);
	GTbcGreen = tonumber(settings.Show.GameTime.G);
	GTbcBlue = tonumber(settings.Show.GameTime.B);
	_G.Clock24h = settings.Show.GameTime.H;
	_G.GTLocX = tonumber(settings.Show.GameTime.X);

	if GLocale == "de" then Turbine.PluginData.Save( Turbine.DataScope.Character, "TitanBarSettingsDE", settings ); end
	if GLocale == "en" then Turbine.PluginData.Save( Turbine.DataScope.Character, "TitanBarSettingsEN", settings ); end
	if GLocale == "fr" then Turbine.PluginData.Save( Turbine.DataScope.Character, "TitanBarSettingsFR", settings ); end
end
-- **^

-- **v Save settings v**
function SaveSettings()
	settings = {};
	settings.Version = Version;
	settings.Language = TBLocale;

	settings.BackColor = {};
	settings.BackColor.A = string.format("%.3f", bcAlpha);
	settings.BackColor.R = string.format("%.3f", bcRed);
	settings.BackColor.G = string.format("%.3f", bcGreen);
	settings.BackColor.B = string.format("%.3f", bcBlue);
	
	settings.Show = {};
	settings.Show.Money = {};
	settings.Show.Money.V = ShowMoney;
	settings.Show.Money.A = string.format("%.3f", MbcAlpha);
	settings.Show.Money.R = string.format("%.3f", MbcRed);
	settings.Show.Money.G = string.format("%.3f", MbcGreen);
	settings.Show.Money.B = string.format("%.3f", MbcBlue);
	settings.Show.Money.X = string.format("%.0f", _G.MILocX);
	settings.Show.Money.S = _G.STM; --Show Total Money of all character on TitanBar Money control.

	settings.Show.DestinyPoints = {};
	settings.Show.DestinyPoints.V = ShowDestinyPoints;
	settings.Show.DestinyPoints.A = string.format("%.3f", DPbcAlpha);
	settings.Show.DestinyPoints.R = string.format("%.3f", DPbcRed);
	settings.Show.DestinyPoints.G = string.format("%.3f", DPbcGreen);
	settings.Show.DestinyPoints.B = string.format("%.3f", DPbcBlue);
	settings.Show.DestinyPoints.X = string.format("%.0f", _G.DPLocX);

	settings.Show.Shards = {};
	settings.Show.Shards.V = ShowShards;
	settings.Show.Shards.A = string.format("%.3f", SPbcAlpha);
	settings.Show.Shards.R = string.format("%.3f", SPbcRed);
	settings.Show.Shards.G = string.format("%.3f", SPbcGreen);
	settings.Show.Shards.B = string.format("%.3f", SPbcBlue);
	settings.Show.Shards.X = string.format("%.0f", _G.SPLocX);

	settings.Show.SkirmishMarks = {};
	settings.Show.SkirmishMarks.V = ShowSkirmishMarks;
	settings.Show.SkirmishMarks.A = string.format("%.3f", SMbcAlpha);
	settings.Show.SkirmishMarks.R = string.format("%.3f", SMbcRed);
	settings.Show.SkirmishMarks.G = string.format("%.3f", SMbcGreen);
	settings.Show.SkirmishMarks.B = string.format("%.3f", SMbcBlue);
	settings.Show.SkirmishMarks.X = string.format("%.0f", _G.SMLocX);

	settings.Show.BagInfos = {};
	settings.Show.BagInfos.V = ShowBagInfos;
	settings.Show.BagInfos.A = string.format("%.3f", BbcAlpha);
	settings.Show.BagInfos.R = string.format("%.3f", BbcRed);
	settings.Show.BagInfos.G = string.format("%.3f", BbcGreen);
	settings.Show.BagInfos.B = string.format("%.3f", BbcBlue);
	settings.Show.BagInfos.X = string.format("%.0f", _G.BILocX);

	settings.Show.PlayerInfos = {};
	settings.Show.PlayerInfos.V = ShowPlayerInfos;
	settings.Show.PlayerInfos.A = string.format("%.3f", PIbcAlpha);
	settings.Show.PlayerInfos.R = string.format("%.3f", PIbcRed);
	settings.Show.PlayerInfos.G = string.format("%.3f", PIbcGreen);
	settings.Show.PlayerInfos.B = string.format("%.3f", PIbcBlue);
	settings.Show.PlayerInfos.X = string.format("%.0f", _G.PILocX);

	settings.Show.EquipInfos = {};
	settings.Show.EquipInfos.V = ShowEquipInfos;
	settings.Show.EquipInfos.A = string.format("%.3f", EIbcAlpha);
	settings.Show.EquipInfos.R = string.format("%.3f", EIbcRed);
	settings.Show.EquipInfos.G = string.format("%.3f", EIbcGreen);
	settings.Show.EquipInfos.B = string.format("%.3f", EIbcBlue);
	settings.Show.EquipInfos.X = string.format("%.0f", _G.EILocX);
	
	settings.Show.DurabilityInfos = {};
	settings.Show.DurabilityInfos.V = ShowDurabilityInfos;
	settings.Show.DurabilityInfos.A = string.format("%.3f", DIbcAlpha);
	settings.Show.DurabilityInfos.R = string.format("%.3f", DIbcRed);
	settings.Show.DurabilityInfos.G = string.format("%.3f", DIbcGreen);
	settings.Show.DurabilityInfos.B = string.format("%.3f", DIbcBlue);
	settings.Show.DurabilityInfos.X = string.format("%.0f", _G.DILocX);

	settings.Show.PlayerLoc = {};
	settings.Show.PlayerLoc.V = ShowPlayerLoc;
	settings.Show.PlayerLoc.A = string.format("%.3f", PLbcAlpha);
	settings.Show.PlayerLoc.R = string.format("%.3f", PLbcRed);
	settings.Show.PlayerLoc.G = string.format("%.3f", PLbcGreen);
	settings.Show.PlayerLoc.B = string.format("%.3f", PLbcBlue);
	settings.Show.PlayerLoc.X = string.format("%.0f", _G.PLLocX);

	settings.Show.GameTime = {};
	settings.Show.GameTime.V = ShowGameTime;
	settings.Show.GameTime.A = string.format("%.3f", GTbcAlpha);
	settings.Show.GameTime.R = string.format("%.3f", GTbcRed);
	settings.Show.GameTime.G = string.format("%.3f", GTbcGreen);
	settings.Show.GameTime.B = string.format("%.3f", GTbcBlue);
	settings.Show.GameTime.X = string.format("%.0f", _G.GTLocX);
	settings.Show.GameTime.H = _G.Clock24h; -- True = Show clock in 24h format

	if GLocale == "de" then Turbine.PluginData.Save( Turbine.DataScope.Character, "TitanBarSettingsDE", settings ); end
	if GLocale == "en" then Turbine.PluginData.Save( Turbine.DataScope.Character, "TitanBarSettingsEN", settings ); end
	if GLocale == "fr" then Turbine.PluginData.Save( Turbine.DataScope.Character, "TitanBarSettingsFR", settings ); end
end
-- **^
-- **v Reset All Settings v**
function ResetSettings()
	write( L["TBR"] );
	TBLocale = "en";
	ShowMoney, ShowDestinyPoints, ShowShards, ShowSkirmishMarks, ShowBagInfos, ShowPlayerInfos, ShowEquipInfos, ShowDurabilityInfos,
	ShowPlayerLoc, ShowGameTime  = false, false, false, false, true, true, true, true, true, true;
	_G.STM = false;

	if GLocale == "en" then tA, tR, tG, tB, tX = 0.3, 0.3, 0.3, 0.3, 0;
	else tA, tR, tG, tB, tX = "0,3", "0,3", "0,3", "0,3", "0"; end

	bcAlpha, bcRed, bcGreen, bcBlue = tA, tR, tG, tB; --Backcolor for TitanBar
	MbcAlpha, MbcRed, MbcGreen, MbcBlue, _G.MILocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Money Control
	DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue, _G.DPLocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Destiny points Control
	SPbcAlpha, SPbcRed, SPbcGreen, SPbcBlue, _G.SPLocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Shards Control
	SMbcAlpha, SMbcRed, SMbcGreen, SMbcBlue, _G.SMLocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for Skirmish marks Control
	BbcAlpha, BbcRed, BbcGreen, BbcBlue, _G.BILocX = tA, tR, tG, tB, tX; --Backcolor & default X Location for bag Control
	EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue, _G.EILocX = tA, tR, tG, tB, 69; --Backcolor & default X Location for Equipement infos Control
	DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue, _G.DILocX = tA, tR, tG, tB, 138; --Backcolor & default X Location for Durability infos Control
	PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue, _G.PILocX = tA, tR, tG, tB, 207; --Backcolor & default X Location for Player infos Control
	
	GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue, _G.GTLocX = tA, tR, tG, tB, screenWidth - 45 --Backcolor & default X Location for Game time Control
	PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue, _G.PLLocX = tA, tR, tG, tB, screenWidth - 190; --Backcolor & default X Location for Player Location Control
	_G.Clock24h = true;

	SaveSettings();
	ReloadTitanBar();
end
-- **^

function LoadCharacterWallet()
	wallet = Turbine.PluginData.Load( Turbine.DataScope.Server, "TitanBarWallet" );
	if wallet == nil then wallet = {}; end
end

-- **v Save character wallet infos v**
function SaveCharacterWallet()
	local PN = Player:GetName();

	local G = string.format("%.0f", MI["GLbl"]:GetText());
	local S = string.format("%.0f", MI["SLbl"]:GetText());
	local C = string.format("%.0f", MI["CLbl"]:GetText());
	local strData = G .. "/" .. S .. "/" .. C;

	wallet[PN] = strData;

	--table.sort( wallet );

	vWallet, i  = {}, 1;
	GoldTot, SilverTot, CopperTot = 0, 0, 0;

	for k,v in pairs(wallet) do
		if k ~= "Total" then
			vWallet[i] = {};
			vWallet[i].Name = k;

			-- Find and extract amount
			local pos1 = string.find(v, "/", 0);
			local pos2 = string.find(v, "/", pos1 + 1);
			
			local Gold = string.sub(v, 1, pos1 - 1);
			GoldTot = GoldTot + Gold;
			vWallet[i].G = Gold;

			local Silver = string.sub(v, pos1 + 1, pos2 - 1);
			SilverTot = SilverTot + Silver;
			vWallet[i].S = Silver;

			local Copper = string.sub(v, pos2 + 1, string.len(v));
			CopperTot = CopperTot + Copper;
			vWallet[i].C = Copper;

			i = i + 1;
		end
	end
	--************************************************************************
	if (string.len(CopperTot)==3) then
		local CopperTotX = CopperTot;
		SilverTot = SilverTot + string.sub(CopperTotX,1,-3);
		CopperTot = string.sub(CopperTot,2,-1);
	end
		
	if (string.len(SilverTot)==4) then
		local SilverTotX = SilverTot;
		GoldTot = GoldTot + string.sub(SilverTotX,1,-4);
		SilverTot = string.sub(SilverTot,2,-1);
	end
	--************************************************************************
	wallet["Total"] = GoldTot .. "/" .. SilverTot .. "/" .. CopperTot;

	Turbine.PluginData.Save( Turbine.DataScope.Server, "TitanBarWallet", wallet );
end
-- **^